---
title: Pull KYC
description: Fetch KYC details of a customer for verification.
---

The API below will be used to fetch the KYC details of the customer to view for verification.

Note: max 50 UIDs can be shared in single api call. If record already exist, existing record will be overridden and updated. Only new records will be added and existing will be updated.

#### POST

```
https://payments.airpay.co.in/pay/v4Merchant-defined-url
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  optional | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data. | `application/x-www-form-urlencodeds` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| merchant_id  required | Numeric | Merchant ID (length 1-20). | `11111` |
| private_key  required | string | Private Key (length 10-200) (private_key=hash('sha256', secret.'@'.username.':|:'.password). | `556677` |
| checksum  required | string  <br>(10-200) | checksum date=YYYY-MM-DD<br>alldata=merchant_id.private_key.kyc_data<br>Key generated by : key=hash('SHA256',username."~:~".password)<br>checksum generated by : checksum=hash('SHA256', key.'@'.alldata) | `92c617a556982a8d124ff2b7ce9eae3e` |
| UID  required | string | Customer UID shared by merchant | `ehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04` |
| UIDDATA  required | string | Group of UIDs<br>[ "UID1", "UID2", "UID3", ., ., "UID50" ] | `[]` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | Status code (length 1-3) | `200` |
| message  required | string | Message Status Message for 200 : Success, 400 : Failed | `Success` |
| kyc_data  required | json | KYC Data<br>[ { "UID": "ehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04", "kycinfo": [ { "kyc_type": "PC", "kyc_number": "321400006787" }, { "kyc_type": "PP", "kyc_number": "321400006787" } ] }, { "UID": "UID", "kycinfo": [ { "kyc_type": "DL", "kyc_number": "2938934hhh3" } ] } ]<br>kyc_type |string| KYC type (length 2-5)<br>Customer Name - CN Customer Email - EM Phone Number - PN Driving Licence - DL Pancard - PC Passport - PP kyc_number |string| KYC number (length 8-100), SHA256 encryption<br>SHA256 logic:<br>kychashkey=hash('SHA256',username."~:~".password); kyc_number=hash('SHA256', kychashkey.'@'.kyc_number); | `[]` |

## Request Example

```json
{
      "merchant_id" : "11111",
    "private_key" : "71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe",
    "checksum" : "92c617a556982a8d124ff2b7ce9eae3e",
    "UIDDATA" : [
         "UID1",
         "UID2",
         "UID3",
         .,
         .,
         "UID50"
         ]
}
```

### Success Response

```json
HTTP/1.1 200 OK
     {
            "status" : "200",
            "message" : "Success",
            "kyc_data" : "[
              {
                "UID": "ehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04",
                "kycinfo": [
                  {
                    "kyc_type": "PP",
                    "kyc_number": "321400006787"
                  },
                  {
                    "kyc_type": "PC",
                    "kyc_number": "321400006787"
                  }
                ]
              },
              {
                "UID": "UID",
                "kycinfo": [
                  {
                    "kyc_type": "DL",
                    "kyc_number": "2938934hhh3"
                  }
                ]
              }
            ]"
     }
```